package com.sundot.airport.common.core.domain;

import com.sundot.airport.common.enums.DataPermissionType;

/**
 * 数据权限结果类
 *
 * @author ruoyi
 */
public class DataPermissionResult {
    
    /**
     * 权限类型
     */
    private DataPermissionType permissionType;
    
    /**
     * 对应的值
     */
    private Long value;
    
    public DataPermissionResult() {
    }
    
    public DataPermissionResult(DataPermissionType permissionType, Long value) {
        this.permissionType = permissionType;
        this.value = value;
    }
    
    public DataPermissionType getPermissionType() {
        return permissionType;
    }
    
    public void setPermissionType(DataPermissionType permissionType) {
        this.permissionType = permissionType;
    }
    
    public Long getValue() {
        return value;
    }
    
    public void setValue(Long value) {
        this.value = value;
    }
    
    @Override
    public String toString() {
        return "DataPermissionResult{" +
                "permissionType=" + permissionType +
                ", value=" + value +
                '}';
    }
}